## dcl 7.4.1

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLFRT)
INSTSRC		= dcldate$(EXT) dclver$(EXT) dclexec$(EXT) dcltrf$(EXT) \
		  dclclr$(EXT)  dcldbs$(EXT) dclfont$(EXT) dclpara$(EXT) \
		  dcltone$(EXT) dclcmap$(EXT) repsl$(EXT) \
                  dclfontlist$(EXT) dclsysfont$(EXT) dclfontdialog$(EXT) \
                  dclsrv$(EXT) \

all: $(DCLCONFVER) $(DCLFRT)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)

$(DCLFRT): dclfrt.org
	@echo "Making shell script $(DCLFRT)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclfrt.org > $(DCLFRT)
	@chmod +x $(DCLFRT)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(BINDIR); fi
	@-if [ -e dcldate$(EXT) ] ; then \
	$(CP) $(INSTSRC) $(BINDIR) ; fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLFRT) $(DCLCC)

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLFRT) $(DCLCC)

=== demo/Makefile ===
#
#       Makefile for demo
#
#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

SUBDIRS		= math1 misc1 misc2 grph1 math2 grph2 rakuraku gokuraku \
              f90 

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== include/Makefile ===
#
#       Makefile for include
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

install:
	@-if test $(INCDIR) != $(LINCDIR); then \
	$(CP) *$(MODEXT) $(INCDIR)\
	;$(CP) *.h $(INCDIR)\
	; fi

clean: clean.local

distclean: clean.local clean.lib

clean.local:
	$(RM) *~ *$(MODEXT) *.h

=== lib/Makefile ===
#
#       Makefile for lib
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if test $(LIBDIR) != $(LLIBDIR); then \
	  $(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
	  if test -f $(LDCLSHLIBFILE); then $(CP) $(LDCLSHLIBFILE) $(DCLSHLIBFILE); fi; \
	  $(CP) $(LDBASEDIR)/* $(DBASEDIR); fi
	$(RANLIB) $(DCLLIBFILE)

clean: clean.local

distclean: clean.local clean.lib

clean.local:
	$(RM) *~

clean.lib:
	$(RM) $(LDCLLIBFILE)
	$(RM) $(LDCLSHLIBFILE)
	$(RM) $(LDBASEDIR)/*

=== src/Makefile ===
#
#       Makefile for src
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

OBJDIRS		= math1 misc1 grph1 math2 grph2 misc2
ALLDIRS		= math1 misc1 misc2 grph1 env1 math2 grph2 env2

object:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i/" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making a library file with $$i/" ; \
	  $(MAKE) library ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

dbase:
	@cd env1 ; \
	echo "Making database in env1/" ; \
	$(MAKE) ; \
	cd ..

exec:
	@cd env2 ; \
	echo "Making exec files in env2/" ; \
	$(MAKE) ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(ALLDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/f90/Makefile ===
#
#       Makefile for f90
#
#       Copyright (C) 2000-2020 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= 1d 2d 3d axis basic layout map miss quick


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/gokuraku/Makefile ===
#
#       Makefile for gokuraku
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= hop jump layout step u1d u2d


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/grph1/Makefile ===
#
#       Makefile for grph1
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= sgpack slpack scpack


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/grph2/Makefile ===
#
#       Makefile for grph2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= grpack ucpack udegpk ulpack umpack uspack uupack \
		  uxyzpk ximage g2pack uipack sysfont


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/math1/Makefile ===
#
#       Makefile for math1
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= blklib chrlib fnclib gnmlib ifalib indxlib intlib \
		  lrllib oslib  rfalib rfblib sublib syslib vialib \
		  viblib vralib vrblib gt2dlib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/math2/Makefile ===
#
#       Makefile for math2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= fftlib intrlib rnmlib vstlib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/misc1/Makefile ===
#
#       Makefile for misc1
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= bitlib chglib chklib chnlib clcklib datelib fmtlib \
		  hexlib misclib randlib timelib clsplib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/changelog ===
dcl (7.4.1-1) unstable; urgency=medium

  * add patch: Add hardening flags for intermediate binary
  * Fix replace fdebug-prefix-map/ffile-prefix-map in dclconfig
  * New upstream version 7.4.1
  * Refresh patches, drop obsolete patch
  * Update lib version
  * d/libf77dcl-dev.install: follow upstream changes
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 01 Mar 2021 22:57:14 +0900

=== debian/control ===
Source: dcl
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 12),
	libx11-dev,
	libgtk-3-dev,
	gfortran,
	dh-fortran-mod,
	ruby
Standards-Version: 4.5.1
Homepage: https://www.gfd-dennou.org/arch/dcl/
Vcs-Git: https://salsa.debian.org/uwabami/dcl-f77.git
Vcs-Browser: https://salsa.debian.org/uwabami/dcl-f77
Rules-Requires-Root: no

Package: dcl-f77
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
Pre-Depends: ${misc:Pre-Depends}
Description: GFD-DENNOU Club Library (DCL) - FORTRAN77 version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage to install libf77dcl-dev

Package: libf77dcl-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
	libf77dcl7 (= ${binary:Version}),
	fonts-dclfonts,
	libgtk-3-dev,
	libglib2.0-dev,
	gfortran
Description: GFD-DENNOU Club Library (DCL) - static library and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static library, header files, wrapper scripts.

Package: fonts-dclfonts
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - font files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides font files for DCL

Package: libf77dcl7
Architecture: any
Section: libs
Replaces: libf77dcl5 (<< 7), libf77dcl6 (<< 7)
Breaks: libf77dcl5 (<< 7), libf77dcl6 (<< 7)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - shared library
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides shared library, database files.

Package: dcl-f77-docs
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export LIBTOOLIZE=false
include /usr/share/dpkg/buildflags.mk
FC = $(shell basename $(shell readlink -f /usr/bin/gfortran))
ifneq ($(shell grep VERSION_CODENAME /etc/os-release),VERSION_CODENAME=buster)
	FFLAGS += -fallow-invalid-boz
	FFLAGS += -std=legacy
endif
DCLVERNUM=7.4.1
DCLVER=741

%:
	dh $@ --no-parallel --with fortran_mod

override_dh_autoreconf:
	autoconf -f -i

override_dh_auto_configure-arch:
	CC=gcc FC=$(FC) FFLAGS="$(FFLAGS)" CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk3

override_dh_auto_configure-indep:
#	do nothing

override_dh_auto_test:
#	do nothing

override_dh_auto_install-arch:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm $(CURDIR)/debian/tmp/usr/bin/dclconfig
	mv $(CURDIR)/debian/tmp/usr/bin/dclconfig$(DCLVER) \
	  $(CURDIR)/debian/tmp/usr/bin/dclconfig
	$(FC) $(FFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.$(DCLVERNUM) \
	  `find $(CURDIR) -name \*.o` $(shell pkg-config gtk+-3.0 --libs)
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so )

override_dh_auto_install-indep:
#	do nothing

override_dh_install-arch:
	dh_install -a --sourcedir=debian/tmp
	sed -i -e 's% -fdebug-prefix-map.*=\.%%g ' -e 's% -ffile-prefix-map.*=\.%%g ' \
	  $(CURDIR)/debian/libf77dcl-dev/usr/bin/dclconfig


override_dh_install-indep:
	dh_install -i --sourcedir=$(CURDIR)
	find $(CURDIR)/debian/dcl-f77-docs/ -name Makefile.win | xargs rm -f
	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.aux
	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.dvi
	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.idx
	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.out
	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.toc

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/debian/libf77dcl*.triggers
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*
	rm -f $(CURDIR)/src/misc1/fiolib/fcpack.f
	rm -fr $(CURDIR)/include/dcl

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installdocs:
	dh_installdocs -A README

=== debian/watch ===
version=3
https://www.gfd-dennou.org/library/dcl/SIGEN.htm dcl-([\d\.]+\d)\.tar\.gz

## dcl 7.4.5

=== debian/changelog ===
dcl (7.4.5-1+0~20211025065449.63~1.gbp22334e) unstable; urgency=medium

  ** SNAPSHOT build @22334e2a6ea606c0f87ba34a2027533d2ecec36e **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Mon, 25 Oct 2021 15:54:50 +0900

dcl (7.4.5-1) unstable; urgency=medium

  * New upstream version 7.4.5
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/rules: Bump so version
  * Refresh patches
  * Add d/dcl-f77-docs.lintinan-overrides: National Encoding
  * d/rules: don't execute autoreconf
  * Fix dh_missing error: install manpages fixed

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 22 Aug 2021 01:31:15 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,14 @@
 	FFLAGS += -fallow-invalid-boz
 	FFLAGS += -std=legacy
 endif
-DCLVERNUM=7.4.1
-DCLVER=741
+DCLVERNUM=7.4.5
+DCLVER=745
 
 %:
 	dh $@ --no-parallel --with fortran_mod
 
 override_dh_autoreconf:
-	autoconf -f -i
+#	autoconf -f -i
 
 override_dh_auto_configure-arch:
 	CC=gcc FC=$(FC) FFLAGS="$(FFLAGS)" CFLAGS="$(CFLAGS) $(CPPFLAGS)" \

## dcl 7.4.7

=== src/env2/dclsrv/Makefile ===
#
#       Makefile for dcltone
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dclsrv.c
BINNAME = dclsrv$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)
	@$(CP) dclsrv.sh $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(FC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/misc2/cwrap/Makefile ===
#
#       Makefile for cwrap
#
#       Copyright (C) 2000-2020 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME	= cwrap
LIBFSRCS	= cdclf90.f90 cdclf90n.f90
LIBCSRCS	= cmsgdmp.c
LIBSRCS	= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= cdclf90.o cdclf90n.o
LIBCOBJS	= cmsgdmp.o
LIBOBJS	= $(LIBFOBJS) $(LIBCOBJS)

object: $(LIBFOBJS) $(LIBCOBJS)

cdclf90.f90: cdcl.h c2f90.rb
	ruby c2f90.rb cdcl.h > cdclf90.f90

library: archive ranlib

archive:
	$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)
	$(CP) cdcl.h   ../../../include
	cat cdcln.h >> ../../../include/cdcl.h

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ cdclf90.f90

=== debian/changelog ===
dcl (7.4.7-1+0~20220318052506.64~1.gbpcdd03e) unstable; urgency=medium

  ** SNAPSHOT build @cdd03e0b2d825ee9555ae1b2aa4effe110c19207 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 18 Mar 2022 14:25:08 +0900

dcl (7.4.7-1) unstable; urgency=medium

  * New upstream version 7.4.6
  * d/rules: fix so version
  * d/watch: bump version 4
  * d/patches: refresh, import upstream bugfix

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 18 Mar 2022 14:01:25 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	FFLAGS += -fallow-invalid-boz
 	FFLAGS += -std=legacy
 endif
-DCLVERNUM=7.4.5
-DCLVER=745
+DCLVERNUM=7.4.8
+DCLVER=748
 
 %:
 	dh $@ --no-parallel --with fortran_mod

## dcl 7.4.9

=== debian/changelog ===
dcl (7.4.9-1+0~20220410051312.65~1.gbpd29d72) unstable; urgency=medium

  ** SNAPSHOT build @d29d72c9aecac00da7f69664a0b6482ae9ebbed1 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Sun, 10 Apr 2022 14:13:13 +0900

dcl (7.4.9-1) unstable; urgency=medium

  * New upstream version 7.4.9
  * Refresh patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 10 Apr 2022 14:03:19 +0900

dcl (7.4.8-1) unstable; urgency=medium

  * New upstream version 7.4.8
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 02 Apr 2022 23:13:19 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	FFLAGS += -fallow-invalid-boz
 	FFLAGS += -std=legacy
 endif
-DCLVERNUM=7.4.8
-DCLVER=748
+DCLVERNUM=7.4.9
+DCLVER=749
 
 %:
 	dh $@ --no-parallel --with fortran_mod

## dcl 7.5.0

=== debian/changelog ===
dcl (7.5.0-1+0~20221012124132.66~1.gbp5e1143) unstable; urgency=medium

  ** SNAPSHOT build @5e1143c34859dfc436ecb5db5408f8cbdd33617b **

  [ Youhei SASAKI ]
  * d/rules: sort .o during .a generation
  * Add D into ARFLAGS
  * Revert changes

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Wed, 12 Oct 2022 21:41:33 +0900

dcl (7.5.0-1) unstable; urgency=medium

  * New upstream version 7.5.0
  * Bump version: 7.5.0, add d/gbp.conf

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 11 Oct 2022 16:09:26 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	FFLAGS += -fallow-invalid-boz
 	FFLAGS += -std=legacy
 endif
-DCLVERNUM=7.4.9
-DCLVER=749
+DCLVERNUM=7.5.0
+DCLVER=750
 
 %:
 	dh $@ --no-parallel --with fortran_mod

## dcl 7.5.1

=== demo/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for demo
 #
-#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../Mkinclude

=== doc-en/Makefile ===
#
#       Makefile for doc
#

include ../Mkinclude

SUBDIRS		= math1 math2 misc1 grph1 grph2 sample etc \
		  rakuraku gokuraku


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

install:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Installing $$i/" ; \
	  $(MAKE) install ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.all: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== include/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for include
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../Mkinclude

=== lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for lib
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../Mkinclude

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for src
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../Mkinclude

=== demo/f90/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for f90
 #
-#       Copyright (C) 2000-2020 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== demo/gokuraku/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for gokuraku
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== src/env1/Makefile ===
#
#       Makefile for env1
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= bitmap cl2tnmap colormap fonts mapdata sysfont 

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making database for $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/grph1/Makefile ===
#
#       Makefile for grph1
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= csgi sgpack slpack stpack swpack szpack scpack $(OLDSRC)


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/math1/Makefile ===
#
#       Makefile for math1
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= blklib chrlib ctrlib fnclib gnmlib ifalib indxlib \
		  intlib lrllib maplib oslib  rfalib rfblib sublib  \
		  syslib vialib viblib vralib vrblib xfclib gt2dlib

object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/math2/Makefile ===
#
#       Makefile for math2
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= fftlib intrlib odelib rnmlib shtlib vstlib


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/misc1/Makefile ===
#
#       Makefile for misc1
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= bitlib chglib chklib chnlib datelib fmtlib misclib \
		  timelib clsplib $(MISC1EXT)


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/changelog ===
dcl (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1
  * Add/Update lintinan-overrides
  * d/copyright: update year
  * Bump version: 7.5.1
  * d/salsa-ci.yml: skip reprotest about difference Fortran binary.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 19 Nov 2022 12:05:12 +0900

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: science
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	libx11-dev,
 	libgtk-3-dev,
 	gfortran,
 	dh-fortran-mod,
 	ruby
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.gfd-dennou.org/arch/dcl/
 Vcs-Git: https://salsa.debian.org/uwabami/dcl-f77.git
 Vcs-Browser: https://salsa.debian.org/uwabami/dcl-f77

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	FFLAGS += -fallow-invalid-boz
 	FFLAGS += -std=legacy
 endif
-DCLVERNUM=7.5.0
-DCLVER=750
+DCLVERNUM=7.5.1
+DCLVER=751
 
 %:
 	dh $@ --no-parallel --with fortran_mod

=== debian/watch ===
version=4
https://www.gfd-dennou.org/library/dcl/SIGEN.htm dcl-([\d\.]+\d)\.tar\.gz

## dcl 7.5.2

=== bin/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for bin
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../Mkinclude

=== doc/Makefile ===
#
#       Makefile for doc
#

include ../Mkinclude

SUBDIRS		= math1 math2 misc1 grph1 grph2 sample etc \
		  rakuraku gokuraku


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

install:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Installing $$i/" ; \
	  $(MAKE) install ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.all: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== man/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

MANPAGE 	= dclfrt.1 dclconfig.1

all:

install:
	$(CP) $(MANPAGE) $(MANDIR)/man1

clean:
	$(RM) *~

distclean:
	$(RM) *~

=== demo/grph1/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for grph1
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== demo/grph2/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for grph2
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== demo/math1/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for math1
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== demo/math2/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for math2
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== demo/misc1/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #       Makefile for misc1
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude

=== demo/misc2/Makefile ===
#
#       Makefile for misc2
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= 


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/rakuraku/Makefile ===
#
#       Makefile for rakuraku
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= color kihon layout map3d miss quick u2d uspack uxyz


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== doc/f90/Makefile ===
#
#       Makefile for doc
#

include ../../Mkinclude

SUBDIRS		= math graph

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

install:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Installing $$i/" ; \
	  $(MAKE) install ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.all: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== doc/math2/Makefile ===
#
#       Makefile for math2
#

include ../../Mkinclude


all: math2.pdf

math2.pdf: math2.dvi
	$(RM) math2.pdf
	$(DVI2PDF) math2.dvi

math2.dvi: math2.tex
	$(JLATEX) math2.tex
	$(JLATEX) math2.tex

install: $(PSDIR)/math2.ps

$(PSDIR)/math2.ps: math2.ps
	@$(CP) math2.ps $(PSDIR)/math2.ps

clean: clean.local clean.dir

clean.local:
	$(RM) *~ *.aux *.dvi *.idx *.log *.toc *.ps *.pdf *.exe *.out

clean.dir:
	$(RM) */*~ */*.aux */*.eps */*.pdf */*.exe */*.out */*.obj

=== debian/changelog ===
dcl (7.5.2-4) unstable; urgency=medium

  * Add patch: Fix Uninitialized Array for ReproTest
  * Fix FTBFS: use 64-bit time_t (Closes: #1126346)
  * Refresh patch: Fix gcc-15 compatibility

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 26 Jan 2026 10:50:57 +0900

dcl (7.5.2-3) unstable; urgency=medium

  * d/control: Update B-D for backports
  * d/control: remove redundant rules-requires-root
  * d/control: redundant-priority-optional-field
  * Add & Refresh patches
    * Add patch: Fix gcc-15 compatibility
    * Add patch: import upstream manpages
  * Add NEWS: About command renaming
  * Add libf77dcl-dev.links for header move
  * Install manpages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Jan 2026 00:47:44 +0900

dcl (7.5.2-2) unstable; urgency=medium

  * Add patch: Fix cfnchr declaration
  * d/control: add dh-fortran:any
  * d/watch: Bump version 5
  * Refresh patches
  * Add patch: Fix FTBFS with make --shuffle=reverse (Closes: #1105280)
  * Add patch: Fix GCC-15 compatibility
  * Install Fortran mod file to /usr/include/dcl
  * Bump Standards-Version to 4.7.3 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 22 Jan 2026 23:00:21 +0900

dcl (7.5.2-1) unstable; urgency=medium

  * New upstream version 7.5.2
  * Refresh patches: commit upstream

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 03 Mar 2025 18:22:01 +0900

dcl (7.5.1-2) unstable; urgency=medium

  * Add patch: fix Implicit Function Declaration (Closes: #1066424)
  * Add ${fortran:Depends} for fortran module files
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 22 Mar 2024 15:51:45 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: dcl
 Section: science
-Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper-compat (= 13),
 	libx11-dev,
 	libgtk-3-dev,
 	gfortran,
-	dh-fortran-mod,
+	dh-fortran | dh-fortran-mod,
 	ruby
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Homepage: https://www.gfd-dennou.org/arch/dcl/
 Vcs-Git: https://salsa.debian.org/uwabami/dcl-f77.git
 Vcs-Browser: https://salsa.debian.org/uwabami/dcl-f77
-Rules-Requires-Root: no
 
 Package: dcl-f77
 Architecture: all
@@ -34,7 +32,7 @@
 Architecture: any
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},${fortran:Depends},
 	libf77dcl7 (= ${binary:Version}),
 	fonts-dclfonts,
 	libgtk-3-dev,

=== debian/watch ===
Version: 5

Source: https://www.gfd-dennou.org/library/dcl/SIGEN.htm
Matching-Pattern: dcl-([\d\.]+\d)\.tar\.gz
